Subject: bug#14654: closed (Re: bug#14654: process.c glib issues)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Jun 2013 18:44:03 +0000

Your bug report

#14654: process.c glib issues

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14654: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14654
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14654: process.c glib issues
From: Jan Djärv <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jun 2013 20:43:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

18 jun 2013 kl. 19:26 skrev Glenn Morris <[email-masked]>:

> Package: emacs
> Version: 24.3.50
> 
> Current trunk on RHEL6 GNU/Linux, --without-gconf --without-gsettings
> --with-x-toolkit=athena, glib2-2.22.5-7:
> 
> process.c: In function 'wait_reading_process_output':
> process.c:4538: warning: implicit declaration of function 'xg_select'
> 
> The following in process.c seems inconsistent:
> 
>  #if defined (USE_GTK) || defined (HAVE_GCONF) || defined (HAVE_GSETTINGS)
>  #include "xgselect.h"
>  #endif
> 
>  [...]
> 
>  #elif defined (HAVE_GLIB)
>    nfds = xg_select
>  #else
> 

I missed that, now fixed.

> 
> I also see:
> 
> process.c: In function 'init_process_emacs':
> process.c:7074: warning: implicit declaration of function 'g_source_unref'
> process.c:7074: warning: implicit declaration of function 'g_child_watch_source_new'

I fixed that also.

	Jan D.

Subject: process.c glib issues
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 18 Jun 2013 13:26:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.3.50

Current trunk on RHEL6 GNU/Linux, --without-gconf --without-gsettings
--with-x-toolkit=athena, glib2-2.22.5-7:

process.c: In function 'wait_reading_process_output':
process.c:4538: warning: implicit declaration of function 'xg_select'

The following in process.c seems inconsistent:

  #if defined (USE_GTK) || defined (HAVE_GCONF) || defined (HAVE_GSETTINGS)
  #include "xgselect.h"
  #endif

  [...]

  #elif defined (HAVE_GLIB)
    nfds = xg_select
  #else

I also see:

process.c: In function 'init_process_emacs':
process.c:7074: warning: implicit declaration of function 'g_source_unref'
process.c:7074: warning: implicit declaration of function 'g_child_watch_source_new'